
/**
 * Card
 * @author tianyanrong
 */
import React, { Component } from 'react';
import { Carousel } from 'antd';

class CarouselComponent extends Component {
  state = {}

  static getDerivedStateFromProps(nextProps, prevState) {
    const dataString = JSON.stringify(nextProps.data);
    if(dataString !== prevState.dataString) {
      return {
        dataString,
      }
    }
    return null;
  }

  getData = () => {
    const newData = [];
    try {
      const {data = [], staticImages = []} = this.props;
      let count = 0;
      const max = data.length;
      const imgKeyName = staticImages[0] && staticImages[0].keyName;
      const hrefKeyName = staticImages[1] && staticImages[1].keyName;
      const dataLength = data.length;
      while(count < max) {
        newData.push({
          img: imgKeyName ? data[count%dataLength][imgKeyName]: '',
          href: hrefKeyName ? data[count%dataLength][hrefKeyName] : '',
        });
        count ++;
      }
    } catch (error) {
      //
    }
    
    return newData;
  }

  render() {
    const {
      staticImages,
      global,
      ...rect
    } = this.props;
    const isDark = global.themeMode === 'dark';

    const newstaticImages = this.getData();
    console.log(33333, newstaticImages);
    return (
      <div style={{whiteSpace: 'break-spaces'}}>
      <Carousel {...rect} >
        {newstaticImages.map((item, index) => {
          return <div style={{position: 'relative', width: '100%', height: '100%'}}>
          {typeof item === 'number' ?
          <div style={{height: '160px', lineHeight: '160px', background: '#364d79', color: 'rgba(255,255,255,0.6)', textAlign: 'center'}}>图片{item.img}</div> :
          <img style={{width: '100%', maxHeight: '100%'}} src={item.img} alt={`images ${index}`} />}
        </div>
        })}
      </Carousel>
      </div>
    );
  }
}
export default CarouselComponent;


